#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private VolumeOutput[] cacheVolumeOutput;

		
		public VolumeOutput VolumeOutput()
		{
			return VolumeOutput(Input);
		}


		
		public VolumeOutput VolumeOutput(ISeries<double> input)
		{
			if (cacheVolumeOutput != null)
				for (int idx = 0; idx < cacheVolumeOutput.Length; idx++)
					if ( cacheVolumeOutput[idx].EqualsInput(input))
						return cacheVolumeOutput[idx];
			return CacheIndicator<VolumeOutput>(new VolumeOutput(), input, ref cacheVolumeOutput);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.VolumeOutput VolumeOutput()
		{
			return indicator.VolumeOutput(Input);
		}


		
		public Indicators.VolumeOutput VolumeOutput(ISeries<double> input )
		{
			return indicator.VolumeOutput(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.VolumeOutput VolumeOutput()
		{
			return indicator.VolumeOutput(Input);
		}


		
		public Indicators.VolumeOutput VolumeOutput(ISeries<double> input )
		{
			return indicator.VolumeOutput(input);
		}

	}
}

#endregion
